Type to search.

Bulk disable Attack Discovery schedules

Base URL
https://{kibana_url}
  • POST /api/attack_discovery/schedules/_bulk_disable
  • POST /s/{space_id}/api/attack_discovery/schedules/_bulk_disable
Auth

Disables multiple Attack Discovery schedules by ID.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

ids string[] · format: nonempty · min items: 1 required

The unique identifiers of the Attack Discovery schedules to update.

Responses

Successfully processed the bulk disable request.

application/json
errors object[] required
message string required

The error message returned for the failed schedule.

rule object required
id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters.

name string required

The name of the failed schedule.

status number

Optional HTTP status associated with the failed schedule operation.

ids string[] · format: nonempty required

The unique identifiers of the schedules successfully affected by the bulk action.

total number required

The total number of schedules matched by the bulk action.